Bug 397191 - pata_atapi: ATA DVD drives lock up, disk activity light on constantly
pata_atapi: ATA DVD drives lock up, disk activity light on constantly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Alan Cox
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 14:25 EST by Robert Weiler
Modified: 2009-01-09 02:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:28:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (28.41 KB, text/plain)
2007-11-23 14:25 EST, Robert Weiler
no flags Details

  None (edit)
Description Robert Weiler 2007-11-23 14:25:48 EST
Description of problem:
ATA DVD ROM and DVD RW freezes with disk activity light on


Version-Release number of selected component (if applicable):


How reproducible:
Boot Linux, run Gnome desktop for a while, eventually, the disk activity light
will come on ans stay on.

Steps to Reproduce:
1. boot FC 8 2.6.23.1-49.fc8 #1 SMP
2.Start gnome
3. Wait
  
Actual results:
Disk activity light comes on and stays on. DVD drives are not accessible. I gest
messages like this in the /var/log/messages file:

[root@bweiler-dt bweiler]# tail /var/log/messages
Nov 23 10:06:06 bweiler-dt kernel: ata2.00: failed to set xfermode (err_mask=0x4)
Nov 23 10:06:06 bweiler-dt kernel: ata2.00: disabled
Nov 23 10:06:06 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 10:06:06 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:06:11 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x90)
Nov 23 10:06:16 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 10:06:16 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:06:16 bweiler-dt kernel: ata2: EH complete
Nov 23 10:32:20 bweiler-dt kernel: skge eth0: Link is down.
Nov 23 10:32:22 bweiler-dt kernel: skge eth0: Link is up at 100 Mbps, full
duplex, flow control both
[root@bweiler-dt bweiler]# tail -20 /var/log/messages
Nov 23 10:04:40 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 10:04:44 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 10:04:44 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:05:05 bweiler-dt kernel: ata2.00: revalidation failed (errno=-2)
Nov 23 10:05:05 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 10:05:10 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:05:15 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 10:05:20 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 10:05:20 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:06:06 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xef)
Nov 23 10:06:06 bweiler-dt kernel: ata2.00: failed to set xfermode (err_mask=0x4)
Nov 23 10:06:06 bweiler-dt kernel: ata2.00: disabled
Nov 23 10:06:06 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 10:06:06 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:06:11 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x90)
Nov 23 10:06:16 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 10:06:16 bweiler-dt kernel: ata2: soft resetting port
Nov 23 10:06:16 bweiler-dt kernel: ata2: EH complete
Nov 23 10:32:20 bweiler-dt kernel: skge eth0: Link is down.
Nov 23 10:32:22 bweiler-dt kernel: skge eth0: Link is up at 100 Mbps, full
duplex, flow control both
[root@bweiler-dt bweiler]# id
uid=0(root) gid=0(root)
groups=0(root),1(bin),2(daemon),3(sys),4(adm),6(disk),10(wheel)
[root@bweiler-dt bweiler]# uname -a
Linux bweiler-dt.perfectsense.com 2.6.23.1-49.fc8 #1 SMP Thu Nov 8 22:14:09 EST
2007 x86_64 x86_64 x86_64 GNU/Linux
[root@bweiler-dt bweiler]# dmesg > /home/bweiler/dmesg.out
[root@bweiler-dt bweiler]# chmod 666 /home/bweiler/dmesg.out
[root@bweiler-dt bweiler]# cp /var/log/messages /home/bweiler
[root@bweiler-dt bweiler]# chmod 666 /home/bweiler/messages
[root@bweiler-dt bweiler]# grep ata2 /etc/dmesg
grep: /etc/dmesg: No such file or directory
[root@bweiler-dt bweiler]# grep ata2 /var/log/messages
Nov 22 14:04:30 bweiler-dt kernel: ata2: PATA max UDMA/133 cmd
0x0000000000010170 ctl 0x0000000000010376 bmdma 0x000000000001fc08 irq 15
Nov 22 14:04:30 bweiler-dt kernel: ata2.00: ATAPI: LITE-ON DVD SOHD-167T, 9S15,
max UDMA/33
Nov 22 14:04:30 bweiler-dt kernel: ata2.01: ATAPI: LITE-ON DVDRW SOHW-1633S,
BS0C, max UDMA/66
Nov 22 14:04:30 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 22 14:04:30 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:08:08 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:08:08 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
Nov 22 14:08:08 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:08:09 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 22 14:08:09 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:08:09 bweiler-dt kernel: ata2: EH complete
Nov 22 14:08:43 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 22 14:08:43 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:08:43 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
Nov 22 14:08:43 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:08:44 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 22 14:08:44 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:08:44 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 22 14:08:44 bweiler-dt kernel: ata2: EH complete
Nov 22 14:09:14 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:09:14 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
Nov 22 14:09:14 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:09:15 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 22 14:09:15 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:09:15 bweiler-dt kernel: ata2: EH complete
Nov 22 14:09:48 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 22 14:09:48 bweiler-dt kernel: ata2.00: limiting speed to UDMA/25:PIO4
Nov 22 14:09:48 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:09:48 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
Nov 22 14:09:48 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:09:48 bweiler-dt kernel: ata2.00: configured for UDMA/25
Nov 22 14:09:49 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:09:49 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 22 14:09:49 bweiler-dt kernel: ata2: EH complete
Nov 22 14:10:19 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:10:19 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
Nov 22 14:10:19 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:10:19 bweiler-dt kernel: ata2.00: configured for UDMA/25
Nov 22 14:10:19 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 22 14:10:19 bweiler-dt kernel: ata2: EH complete
Nov 22 14:10:53 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa0)
Nov 22 14:10:53 bweiler-dt kernel: ata2.01: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 22 14:10:53 bweiler-dt kernel: ata2.01: cmd
a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x25 data 8 in
Nov 22 14:10:53 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:11:23 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 22 14:11:23 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 22 14:11:23 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 22 14:11:23 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 22 14:11:33 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:11:38 bweiler-dt kernel: ata2: device not ready (errno=-16), forcing
hardreset
Nov 22 14:11:38 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:11:43 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:11:48 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 22 14:11:48 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:12:19 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 22 14:12:19 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 22 14:12:19 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 22 14:12:19 bweiler-dt kernel: ata2.01: limiting speed to UDMA/66:PIO3
Nov 22 14:12:19 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 22 14:12:29 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:12:34 bweiler-dt kernel: ata2: device not ready (errno=-16), forcing
hardreset
Nov 22 14:12:34 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:12:39 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:13:10 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 22 14:13:10 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 22 14:13:10 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 22 14:13:10 bweiler-dt kernel: ata2.01: disabled
Nov 22 14:13:10 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 22 14:13:15 bweiler-dt kernel: ata2.00: failed to IDENTIFY (I/O error,
err_mask=0x40)
Nov 22 14:13:15 bweiler-dt kernel: ata2.00: revalidation failed (errno=-5)
Nov 22 14:13:15 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 22 14:13:20 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:13:25 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:13:30 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 22 14:13:30 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:13:50 bweiler-dt kernel: ata2.00: revalidation failed (errno=-2)
Nov 22 14:13:50 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 22 14:13:55 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:14:01 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 22 14:14:05 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 22 14:14:05 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:14:51 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xef)
Nov 22 14:14:51 bweiler-dt kernel: ata2.00: failed to set xfermode (err_mask=0x4)
Nov 22 14:14:51 bweiler-dt kernel: ata2.00: disabled
Nov 22 14:14:52 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 22 14:14:52 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:14:57 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x90)
Nov 22 14:15:02 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 22 14:15:02 bweiler-dt kernel: ata2: soft resetting port
Nov 22 14:15:02 bweiler-dt kernel: ata2: EH complete
Nov 23 00:35:25 bweiler-dt kernel: ata2: PATA max UDMA/133 cmd
0x0000000000010170 ctl 0x0000000000010376 bmdma 0x000000000001fc08 irq 15
Nov 23 00:35:25 bweiler-dt kernel: ata2.00: ATAPI: LITE-ON DVD SOHD-167T, 9S15,
max UDMA/33
Nov 23 00:35:25 bweiler-dt kernel: ata2.01: ATAPI: LITE-ON DVDRW SOHW-1633S,
BS0C, max UDMA/66
Nov 23 00:35:25 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 00:35:25 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 08:06:21 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 08:06:21 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 08:06:21 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
Nov 23 08:06:21 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:06:22 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 08:06:22 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 08:06:22 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 08:06:22 bweiler-dt kernel: ata2: EH complete
Nov 23 08:14:21 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 08:14:21 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
Nov 23 08:14:21 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:14:22 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 08:14:22 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 08:14:22 bweiler-dt kernel: ata2: EH complete
Nov 23 08:14:52 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa0)
Nov 23 08:14:52 bweiler-dt kernel: ata2.01: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 08:14:52 bweiler-dt kernel: ata2.01: cmd
a0/00:00:00:00:20/00:00:00:00:00/b0 tag 0 cdb 0x43 data 12 in
Nov 23 08:14:52 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:15:23 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 23 08:15:23 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 23 08:15:23 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 23 08:15:23 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 08:15:33 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:15:38 bweiler-dt kernel: ata2: device not ready (errno=-16), forcing
hardreset
Nov 23 08:15:38 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:15:43 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:15:48 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 08:15:48 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:16:18 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 23 08:16:18 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 23 08:16:18 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 23 08:16:18 bweiler-dt kernel: ata2.01: limiting speed to UDMA/66:PIO3
Nov 23 08:16:18 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 08:16:28 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:16:33 bweiler-dt kernel: ata2: device not ready (errno=-16), forcing
hardreset
Nov 23 08:16:33 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:16:38 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:17:09 bweiler-dt kernel: ata2.01: qc timeout (cmd 0xa1)
Nov 23 08:17:09 bweiler-dt kernel: ata2.01: failed to IDENTIFY (I/O error,
err_mask=0x4)
Nov 23 08:17:09 bweiler-dt kernel: ata2.01: revalidation failed (errno=-5)
Nov 23 08:17:09 bweiler-dt kernel: ata2.01: disabled
Nov 23 08:17:09 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 08:17:14 bweiler-dt kernel: ata2.00: failed to IDENTIFY (I/O error,
err_mask=0x40)
Nov 23 08:17:14 bweiler-dt kernel: ata2.00: revalidation failed (errno=-5)
Nov 23 08:17:14 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 08:17:19 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:17:24 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:17:29 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 08:17:29 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:17:50 bweiler-dt kernel: ata2.00: revalidation failed (errno=-2)
Nov 23 08:17:50 bweiler-dt kernel: ata2: failed to recover some devices,
retrying in 5 secs
Nov 23 08:17:55 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:18:00 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x80)
Nov 23 08:18:05 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 08:18:05 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:18:50 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xef)
Nov 23 08:18:50 bweiler-dt kernel: ata2.00: failed to set xfermode (err_mask=0x4)
Nov 23 08:18:50 bweiler-dt kernel: ata2.00: disabled
Nov 23 08:18:51 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 08:18:51 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:18:56 bweiler-dt kernel: ata2: port is slow to respond, please be
patient (Status 0x90)
Nov 23 08:19:01 bweiler-dt kernel: ata2: SRST failed (errno=-16)
Nov 23 08:19:01 bweiler-dt kernel: ata2: soft resetting port
Nov 23 08:19:01 bweiler-dt kernel: ata2: EH complete
Nov 23 09:40:37 bweiler-dt kernel: ata2: PATA max UDMA/133 cmd
0x0000000000010170 ctl 0x0000000000010376 bmdma 0x000000000001fc08 irq 15
Nov 23 09:40:37 bweiler-dt kernel: ata2.00: ATAPI: LITE-ON DVD SOHD-167T, 9S15,
max UDMA/33
Nov 23 09:40:37 bweiler-dt kernel: ata2.01: ATAPI: LITE-ON DVDRW SOHW-1633S,
BS0C, max UDMA/66
Nov 23 09:40:37 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 09:40:37 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:55:59 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:55:59 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x1e data 0 
Nov 23 09:55:59 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:56:00 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 09:56:00 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:56:00 bweiler-dt kernel: ata2: EH complete
Nov 23 09:57:48 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 09:57:48 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:57:48 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x0 data 0 
Nov 23 09:57:48 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:57:49 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 09:57:49 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:57:49 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 09:57:49 bweiler-dt kernel: ata2: EH complete
Nov 23 09:58:22 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 09:58:22 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:58:22 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
Nov 23 09:58:22 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:58:22 bweiler-dt kernel: ata2.00: configured for UDMA/33
Nov 23 09:58:23 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:58:23 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 09:58:23 bweiler-dt kernel: ata2: EH complete
Nov 23 09:58:53 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 09:58:53 bweiler-dt kernel: ata2.00: limiting speed to UDMA/25:PIO4
Nov 23 09:58:53 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:58:53 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x43 data 12 in
Nov 23 09:58:53 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:58:53 bweiler-dt kernel: ata2.00: configured for UDMA/25
Nov 23 09:58:53 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:58:53 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 09:58:53 bweiler-dt kernel: ata2: EH complete
Nov 23 09:59:24 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 09:59:24 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:59:24 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
Nov 23 09:59:24 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:59:24 bweiler-dt kernel: ata2.00: configured for UDMA/25
Nov 23 09:59:24 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:59:24 bweiler-dt kernel: ata2: EH pending after completion, repeating
EH (cnt=4)
Nov 23 09:59:24 bweiler-dt kernel: ata2: EH complete
Nov 23 09:59:54 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 09:59:54 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in
Nov 23 09:59:54 bweiler-dt kernel: ata2: soft resetting port
Nov 23 09:59:55 bweiler-dt kernel: ata2.00: configured for UDMA/25
Nov 23 09:59:55 bweiler-dt kernel: ata2.01: configured for UDMA/66
Nov 23 09:59:55 bweiler-dt kernel: ata2: EH complete
Nov 23 10:00:32 bweiler-dt kernel: ata2.00: qc timeout (cmd 0xa0)
Nov 23 10:00:32 bweiler-dt kernel: ata2.00: exception Emask 0x0 SAct 0x0 SErr
0x0 action 0x2 frozen
Nov 23 10:00:32 bweiler-dt kernel: ata2.00: cmd
a0/00:00:00:00:20/00:00:00:00:00/a0 tag 0 cdb 0x25 data 8 in

Expected Results:
 Disk activity light should only be on when there is activity. and teh drives
should stay accessible.

Additional info:
Comment 1 Robert Weiler 2007-11-23 14:25:48 EST
Created attachment 267771 [details]
dmesg output
Comment 2 Chuck Ebbert 2007-11-27 18:53:29 EST
scsi1 : pata_via
ata2.00: ATAPI: LITE-ON DVD SOHD-167T, 9S15, max UDMA/33
ata2.01: ATAPI: LITE-ON DVDRW SOHW-1633S, BS0C, max UDMA/66
Comment 3 Christopher Brown 2008-02-13 19:25:11 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 4 Robert Weiler 2008-02-14 10:38:25 EST
I reverted to FC6,  2.6.22.14-72.fc6 #1 SMP, which does not have this problem.
I'm guessing it is because it doesn't use the unified disk interface. I need to
reinstall FC8 and apply updates to see if the problem still exists. I will try
to do that within th enext couple of weeks.
Comment 5 Christopher Brown 2008-02-14 18:02:13 EST
Hi Robert,

Thanks for the feedback. If you would be so good as to test with F9 Alpha:

http://fedoraproject.org/get-prerelease

prior to the F8 re-install it would be greatly appreciated. In this way we can
resolve this issue prior to F9 release if able.

I'm re-assigning to the relevant maintainer as well.
Comment 6 Alan Cox 2008-03-10 08:04:32 EDT
This is another one which may need libata.dma=1 as we've got assorted lite on
traces now which seem to blow up when fed some commands by DMA
Comment 7 Robert Weiler 2008-03-13 22:15:45 EDT
I tried adding libata.dma=1 to my grub.conf file, but apparently the
2.6.24.3-12.fc8 kernel doesn't accept it. Can I do this by putting an hdparm -d
someplace in my startup scripts, or is there a better way?
Comment 8 Chuck Ebbert 2008-03-14 16:13:46 EDT
(In reply to comment #7)
> I tried adding libata.dma=1 to my grub.conf file, but apparently the
> 2.6.24.3-12.fc8 kernel doesn't accept it. Can I do this by putting an hdparm -d
> someplace in my startup scripts, or is there a better way?

https://fedoraproject.org/wiki/KernelCommonProblems#head-d38ef11b6ebdca583ae838b17e5a259b3ce397af
Comment 9 Robert Weiler 2008-03-15 11:36:02 EDT
adding 
options libata dma=1 
to /etc/modprobe.conf seems to have fixed the problem. The machine has been
running overnight without problems.
Comment 10 Robert Weiler 2008-03-19 00:36:02 EDT
more info - while adding options libata dma=1 seems to have fixed the problem
running the x86_64 kernel, the problem is still occurring running a 32 bit
kernel 2.6.24.3-34.fc8 #1 SMP. dmesg shows some errors like this:

ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/00:00:00:00:00/00:00:00:00:00/a0 tag 0
         cdb 1e 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
ata2.00: status: { DRDY }
ata2: soft resetting link
ata2.00: configured for PIO4
ata2.01: configured for PIO4
ata2: EH complete
ata2.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.01: cmd a0/00:00:00:08:00/00:00:00:00:00/b0 tag 0 pio 8 in
         cdb 25 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00
         res 40/00:03:00:00:00/00:00:00:00:00/a0 Emask 0x4 (timeout)


Comment 11 Bug Zapper 2008-11-26 03:40:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:28:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.